<?php
/**
 * Createing an gauranty pannel for customizer
 */

// START GAURANTY SECTION 
    $wp_customize->add_section(
        'lz_fitness_premium_gauranty_section',
        array(
            'title' => __( 'Gauranty Section', 'lz-fitness-premium' ),
            'panel' => 'lz_fitness_premium_home_panel'
        )
    );
    // ENABLE/DISABLE gauranty SECTION
    $wp_customize->add_setting(
        'lz_fitness_premium_gauranty_section_disable',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Switch_Control(
            $wp_customize,
            'lz_fitness_premium_gauranty_section_disable',
            array(
                'settings'      => 'lz_fitness_premium_gauranty_section_disable',
                'section'       => 'lz_fitness_premium_gauranty_section',
                'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'lz-fitness-premium' ),
                    'off' => __( 'No', 'lz-fitness-premium' )
                ),
            )
        )
    );

    backgroundManager($wp_customize, 'gauranty', 'lz_fitness_premium_gauranty_section', $color='#f7f8fa', get_template_directory_uri().'/images/default-gray.png', 'img');


    $wp_customize->add_setting(
        'lz_fitness_gauranty_title_heading',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_gauranty_title_heading',
            array(
                'settings'      => 'lz_fitness_gauranty_title_heading',
                'section'       => 'lz_fitness_premium_gauranty_section',
                'label'         => __( 'Gauranty', 'lz-fitness-premium' ),
            )
        )
    );    
    $wp_customize->add_setting(
        'lz_fitness_gauranty_title',
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text',
            'default'           => __( '35 YEARS  OF QUALITY SERVICE IN <span>BUSINESS</span>', 'lz-fitness-premium' )
        )
    );
    $wp_customize->add_control(
        'lz_fitness_gauranty_title',
        array(
            'settings'      => 'lz_fitness_gauranty_title',
            'section'       => 'lz_fitness_premium_gauranty_section',
            'type'          => 'textarea',
            'label'         => __( 'Title for gauranty', 'lz-fitness-premium' )
        )
    );
    
    $wp_customize->add_setting(
        'lz_fitness_gauranty_subText',
        array(
            'sanitize_callback'=>'lz_fitness_sanitize_text',
            'default'=> __('Lorem ipsum dolor sit amet, consectetuer adipiscing elit, nonummy nibh euismod tincidunt ut laoreet dolore magna aliquam erat volutpat. Ut wisi enim ad minim veniam, quis nostrud exerci Lorem ipsum dolor sit amet.Lorem ipsum dolor sit amet, consectetuer adipiscing elit.  Ut wisi enim ad minim veniam, quis nostrud exerci Lorem ipsum dolor sit amet.Lorem ipsum dolor sit amet, consectetuer adipiscing elit.  Ut wisi enim ad minim veniam', 'lz-fitness-premium')
        )
    );
    $wp_customize->add_control(
        'lz_fitness_gauranty_subText',
        array(
            'settings' =>'lz_fitness_gauranty_subText',
            'section' => 'lz_fitness_premium_gauranty_section',
            'type'=> 'textarea',
            'label'=> __('Content for the gauranty', 'lz-fitness-premium')
        )
    );

    // Heading color
    addColorPalatOption($wp_customize, 'lz_fitness_gauranty_HeadingColor', 'lz_fitness_premium_gauranty_section', 'Gauranty Title color', '#000');
     // Heading highlight color
    addColorPalatOption($wp_customize, 'lz_fitness_gauranty_Heading_highlightColor', 'lz_fitness_premium_gauranty_section', 'Gauranty Title Highlight color', '#1cb9c8');
     // Heading border color
    addColorPalatOption($wp_customize, 'lz_fitness_gauranty_borderColor', 'lz_fitness_premium_gauranty_section', 'Gauranty Border color', '#a6a6a6');


    // Text color
    addColorPalatOption($wp_customize, 'lz_fitness_gauranty_TextColor', 'lz_fitness_premium_gauranty_section', 'Gauranty Text color', '#464648');

    // border color
    addColorPalatOption($wp_customize, 'lz_fitness_gauranty_curveborderColor', 'lz_fitness_premium_gauranty_section', 'Gauranty curve border color', '#fff');

    // END ABOUT SECTION 